- Qt 5.15
- Qt Location
- C++ Classes
- QPlaceUser
- Qt 5.15.15 Reference Documentation

# QPlaceUser Class

The QPlaceUser class represents an individual user. More...

Header: | #include <QPlaceUser>
qmake: | QT += location
Since: | Qt 5.6

This class was introduced in Qt 5.6.

- List of all members, including inherited members

## Public Functions

| QPlaceUser(const QPlaceUser &other)
| QPlaceUser()
QPlaceUser & | operator=(const QPlaceUser &other)
| ~QPlaceUser()
QString | name() const
void | setName(const QString &name)
void | setUserId(const QString &identifier)
QString | userId() const
bool | operator!=(const QPlaceUser &other) const
bool | operator==(const QPlaceUser &other) const

## Detailed Description

## Member Function Documentation

### QPlaceUser::QPlaceUser(const QPlaceUser &other)

Constructs a copy of other.

### QPlaceUser::QPlaceUser()

Constructs a new user object.

### QPlaceUser &QPlaceUser::operator=(const QPlaceUser &other)

Assigns other to this user and returns a reference to this user.

### QPlaceUser::~QPlaceUser()

Destroys the user object.

### QString QPlaceUser::name() const

Returns the name of the user.

See also setName().

### void QPlaceUser::setName(const QString &name)

Sets the name of the user.

See also name().

### void QPlaceUser::setUserId(const QString &identifier)

Sets the identifier of the user.

See also userId().

### QString QPlaceUser::userId() const

Returns the identifier of the user.

See also setUserId().

### bool QPlaceUser::operator!=(const QPlaceUser &other) const

Returns true if other is not equal to this user, otherwise returns false.

### bool QPlaceUser::operator==(const QPlaceUser &other) const

Returns true if this user is equal to other. Otherwise returns false.